package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*推广者
* @author quyixiao
* @since 2025-11-22
*/

@Data
@TableName("vv_promoter_buyer")
public class VvPromoterBuyerEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvPromoterBuyerEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                         // 
    public final static String is_delete = CLASS_NAME + "is_delete";                            // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                        // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                        // 修改时间
    public final static String create_timestamp = CLASS_NAME + "create_timestamp";              // 时间毫秒值
    public final static String promoter_id = CLASS_NAME + "promoter_id";                        // 推广者id，唯一值
    public final static String promoter_buyer_name = CLASS_NAME + "promoter_buyer_name";        // 推广者买家名称
    public final static String promoter_buyer_weixin = CLASS_NAME + "promoter_buyer_weixin";    // 推广者买家微信
    public final static String promoter_buyer_phone = CLASS_NAME + "promoter_buyer_phone";      // 推广者买家微信
    public final static String promoter_buyer_id = CLASS_NAME + "promoter_buyer_id";            // 推广者买家id
    public final static String was_buyer_name = CLASS_NAME + "was_buyer_name";                  // 被推荐买家名称
    public final static String was_buyer_weixin = CLASS_NAME + "was_buyer_weixin";              // 被推荐买家微信
    public final static String was_buyer_phone = CLASS_NAME + "was_buyer_phone";                // 被推荐者手机号
    public final static String was_buyer_id = CLASS_NAME + "was_buyer_id";                      // 被推荐者买家id
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //时间毫秒值
    private Long createTimestamp;
    //推广者id，唯一值
    private Long promoterId;
    //推广者买家名称
    private String promoterBuyerName;
    //推广者买家微信
    private String promoterBuyerWeixin;
    //推广者买家微信
    private String promoterBuyerPhone;
    //推广者买家id
    private Long promoterBuyerId;
    //被推荐买家名称
    private String wasBuyerName;
    //被推荐买家微信
    private String wasBuyerWeixin;
    //被推荐者手机号
    private String wasBuyerPhone;
    //被推荐者买家id
    private Long wasBuyerId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 时间毫秒值 
     * @return
     */
    public Long getCreateTimestamp() {
        return createTimestamp;
    }
    /**
     * 时间毫秒值 
     * @param createTimestamp
     */
    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    /**
     * 推广者id，唯一值 
     * @return
     */
    public Long getPromoterId() {
        return promoterId;
    }
    /**
     * 推广者id，唯一值 
     * @param promoterId
     */
    public void setPromoterId(Long promoterId) {
        this.promoterId = promoterId;
    }

    /**
     * 推广者买家名称 
     * @return
     */
    public String getPromoterBuyerName() {
        return promoterBuyerName;
    }
    /**
     * 推广者买家名称 
     * @param promoterBuyerName
     */
    public void setPromoterBuyerName(String promoterBuyerName) {
        this.promoterBuyerName = promoterBuyerName;
    }

    /**
     * 推广者买家微信 
     * @return
     */
    public String getPromoterBuyerWeixin() {
        return promoterBuyerWeixin;
    }
    /**
     * 推广者买家微信 
     * @param promoterBuyerWeixin
     */
    public void setPromoterBuyerWeixin(String promoterBuyerWeixin) {
        this.promoterBuyerWeixin = promoterBuyerWeixin;
    }

    /**
     * 推广者买家微信 
     * @return
     */
    public String getPromoterBuyerPhone() {
        return promoterBuyerPhone;
    }
    /**
     * 推广者买家微信 
     * @param promoterBuyerPhone
     */
    public void setPromoterBuyerPhone(String promoterBuyerPhone) {
        this.promoterBuyerPhone = promoterBuyerPhone;
    }

    /**
     * 推广者买家id 
     * @return
     */
    public Long getPromoterBuyerId() {
        return promoterBuyerId;
    }
    /**
     * 推广者买家id 
     * @param promoterBuyerId
     */
    public void setPromoterBuyerId(Long promoterBuyerId) {
        this.promoterBuyerId = promoterBuyerId;
    }

    /**
     * 被推荐买家名称 
     * @return
     */
    public String getWasBuyerName() {
        return wasBuyerName;
    }
    /**
     * 被推荐买家名称 
     * @param wasBuyerName
     */
    public void setWasBuyerName(String wasBuyerName) {
        this.wasBuyerName = wasBuyerName;
    }

    /**
     * 被推荐买家微信 
     * @return
     */
    public String getWasBuyerWeixin() {
        return wasBuyerWeixin;
    }
    /**
     * 被推荐买家微信 
     * @param wasBuyerWeixin
     */
    public void setWasBuyerWeixin(String wasBuyerWeixin) {
        this.wasBuyerWeixin = wasBuyerWeixin;
    }

    /**
     * 被推荐者手机号 
     * @return
     */
    public String getWasBuyerPhone() {
        return wasBuyerPhone;
    }
    /**
     * 被推荐者手机号 
     * @param wasBuyerPhone
     */
    public void setWasBuyerPhone(String wasBuyerPhone) {
        this.wasBuyerPhone = wasBuyerPhone;
    }

    /**
     * 被推荐者买家id 
     * @return
     */
    public Long getWasBuyerId() {
        return wasBuyerId;
    }
    /**
     * 被推荐者买家id 
     * @param wasBuyerId
     */
    public void setWasBuyerId(Long wasBuyerId) {
        this.wasBuyerId = wasBuyerId;
    }

    @Override
    public String toString() {
        return "VvPromoterBuyerEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",createTimestamp=" + createTimestamp +
                ",promoterId=" + promoterId +
                ",promoterBuyerName=" + promoterBuyerName +
                ",promoterBuyerWeixin=" + promoterBuyerWeixin +
                ",promoterBuyerPhone=" + promoterBuyerPhone +
                ",promoterBuyerId=" + promoterBuyerId +
                ",wasBuyerName=" + wasBuyerName +
                ",wasBuyerWeixin=" + wasBuyerWeixin +
                ",wasBuyerPhone=" + wasBuyerPhone +
                ",wasBuyerId=" + wasBuyerId +
                "}";
    }
}